Subject: Re: bug#10282: change in behavior of du with multiple arguments (commit efe53cc)

From: Kamil Dudka <[email-masked]>
Date: Tue, 13 Dec 2011 18:37:18 +0100

On Tuesday 13 December 2011 18:16:12 Eric Blake wrote:
> I think the proposal is to add a new option that forces du to reset its
> duplicate inode hash table for each command line argument, to make
> behavior more like traditional du, even though it means -s can then
> output a larger usage by summing the first column than what you would
> get by the default behavior, when encountering command line arguments
> that are a duplicate with an inode already traversed earlier in the
> command line.  --count-links isn't quite right, because you still want
> to elide links within a single directory of the command-line argument.
> Or maybe --count-links gains an optional argument, that says how to
> count links:
> 
> --count-links=none -> POSIX behavior (if POSIX requires elision across
> command line arguments
> --count-links=per-directory -> traditional behavior, resetting hash
> between command line arguments
> --count-links == --count-links=all -> count every file on every encounter

What would be the difference between the 'per-directory' variant and invoking 
du multiple times, giving it one argument at a time?

Kamil